MPI_Bsend_init(3)

NAME
MPI_Bsend_init - Builds a handle for a buffered send.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Bsend_init(void *buf, int count, MPI_Datatype datatype,
	int dest, int tag, MPI_Comm comm, MPI_Request *request)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_BSEND_INIT(BUF, COUNT, DATATYPE, DEST, TAG, COMM, REQUEST,
		IERROR)
	<type>	BUF(*)
	INTEGER	COUNT, DATATYPE, DEST, TAG,
	INTEGER	COMM, REQUEST, IERROR

C++ Syntax
#include <mpi.h>
Prequest Comm::Bsend_init(const void* buf, int count, const
	Datatype& datatype, int dest, int tag) const

INPUT PARAMETERS

buf Initial address of send buffer (choice).

count
    Number of elements sent (integer).

datatype
    Type of each element (handle).

dest
    Rank of destination (integer).

tag Message tag (integer).

comm
    Communicator (handle).

OUTPUT PARAMETERS

request
    Communication request (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Creates a persistent communication request for a buffered mode send, and binds to it all the arguments of a send operation.

A communication (send or receive) that uses a persistent request is initiated by the function MPI_Start.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO
MPI_Send_init
MPI_Ssend_init
MPI_Rsend_init
MPI_Recv_init
MPI_Start
MPI_Startall